# Support for the Tyan S2895 board

#### Platform configuration

ifeq ($(CONFIG_TARGET_64BIT), y)
TARGET_ARCH=x86_64
CFLAGS_platform =
else
TARGET_ARCH=i686
CFLAGS_platform =
endif

# kernel configuration (for LAB)

KERNEL_VERSION=2.6.22.2

ifeq ($(CONFIG_TARGET_64BIT),y)
KERNEL_CONFIG=$(PACKAGE_DIR)/kernel/conf/defconfig-tiny-2.6.22-x86_64
else
KERNEL_CONFIG=$(PACKAGE_DIR)/kernel/conf/defconfig-tiny-2.6.22
endif

# Etherboot configuration
ETHERBOOT_ARCH=i386

# coreboot configuration

COREBOOT_VENDOR=tyan
COREBOOT_BOARD=s2895
CBV2_TDIR=s2895
CBV2_TAG=3259

# FILO configuration

FILO_CONFIG=tyan-generic-Config

